using DryIoc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDF_Office.Views.PropertyPanel.ViewModular
{
    /// <summary>
    /// ReadModeContent.xaml 的交互逻辑
    /// </summary>
    public partial class ReadModeContent : UserControl
    {
        public ReadModeContent()
        {
            InitializeComponent();
        }

        private void TxbCurrentPageNum_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (e.ClickCount >= 2)
            {
                TxbCurrentPageNum.Visibility = Visibility.Collapsed;
                TxtCurrentPageNum.Dispatcher.BeginInvoke(new Action(() =>
                {
                    TxtCurrentPageNum.Background = new SolidColorBrush(Colors.White);
                    TxtCurrentPageNum.Focus();
                    TxtCurrentPageNum.SelectAll();
                }));
            }
        }

        private void TxtCurrentPageNum_MouseLeave(object sender, RoutedEventArgs e)
        {
            TxbCurrentPageNum.Visibility = Visibility.Visible;

            TxtCurrentPageNum.Background = new SolidColorBrush(Colors.Transparent);
        }

        private void TxtCurrentPageNum_LostFocus(object sender, RoutedEventArgs e)
        {
            TxbCurrentPageNum.Visibility = Visibility.Visible;
            TxtCurrentPageNum.Background = new SolidColorBrush(Colors.Transparent);
        }

        private void TxtCurrentPageNum_LostKeyboardFocus(object sender, KeyboardFocusChangedEventArgs e)
        {
            TxbCurrentPageNum.Visibility = Visibility.Visible;
            TxtCurrentPageNum.Background = new SolidColorBrush(Colors.Transparent);
        }
    }
}